# Uses of Interface
org.springframework.aop.AfterReturningAdvice

Packages that use AfterReturningAdvice
Package
Description
org.springframework.aop.aspectj
AspectJ integration package.
org.springframework.aop.framework.adapter
SPI package allowing Spring AOP framework to handle arbitrary advice types.

## Uses of AfterReturningAdvice in org.springframework.aop.aspectj

Classes in org.springframework.aop.aspectj that implement AfterReturningAdvice
Modifier and Type
Class
Description
`class`
`AspectJAfterReturningAdvice`
Spring AOP advice wrapping an AspectJ after-returning advice method.

## Uses of AfterReturningAdvice in org.springframework.aop.framework.adapter

Constructors in org.springframework.aop.framework.adapter with parameters of type AfterReturningAdvice
Modifier
Constructor
Description
``
`AfterReturningAdviceInterceptor(AfterReturningAdvice advice)`
Create a new AfterReturningAdviceInterceptor for the given advice.